WP Google Maps

Wordpress Plugin
Download latest - 8.0.5

Developers

perryrylance
WPGMaps

Download Stats

Today 6,917
Yesterday 8,821
Last Week 45,659
All Time 4,645,472
Banner 772x250

The easiest to use Google maps plugin! Add a customized Google map to your WordPress posts and/or pages quickly and easily with the supplied shortcode. No fuss. No iFrames and super easy to use! Perfect for contact page maps, routes, maps showing delivery areas and any other use you can think of!

While the free version of WP Google Maps allows you to create a Google map with as many markers as you like, the Pro version allows you to do so much more!

The WP Google Maps Pro Version version allows you create custom Google maps with high quality markers containing locations, descriptions, images, categories, links and directions.

Lite Version (Free)

  • The most popular Google Maps plugin on WordPress
  • Super easy to use, no coding required!
  • Create as many map markers as you need by simply typing in the address
  • Responsive maps
  • Edit your map markers with the click of a button
  • 9 popular map themes to choose from
  • Create or add your own map theme
  • Drag map markers to an exact location
  • Add a map block to your page
  • Google Maps Streetview supported
  • UTF-8 character support
  • Map widget functionality
  • Full screen map functionality
  • Support for localization
  • Choose from four Google maps types: roadmap, terrain, satellite and hybrid
  • Define your own width, height and zoom level for your map
  • Add animations to your map markers!
  • Store locator functionality
  • Restrict a store locator search by country
  • Add Polygons to your Map
  • Add Polylines / Routes to your map
  • Create a map in less than a 30 seconds!
  • Right click to add a marker to your map
  • No advertising or links
  • Google Maps Autocomplete
  • Google Maps Transport Layer
  • Set the max zoom level for your map
  • Serve your map marker data via your database or an XML file
  • Compatible with caching plugins
  • Compatible with Cloudfare
  • Latest Google Maps API
  • Latest OpenLayers API

Professional Edition

  • Create multiple maps!
  • Allow your visitors to get directions to your markers.
  • Add descriptions, links and images to your map markers.
  • Add categories to your map markers
  • Filter markers by category
  • Mashup multiple maps
  • Add different marker icons, or your own icons to make your map really stand out!
  • List your map markers in the four ways; basic list, basic table, carousel, advanced table
  • Allow visitors to use their map location as the starting or ending point for the directions
  • Choose between the Default Google Maps Infowindow and the new Modern Infowindow
  • Export/Import your markers to a CSV file for quick editing.
  • Link Fusion tables to your Google Maps
  • Show your visitor's location on the Map
  • Import KML/KMZ files to your map
  • More advanced options for the Store Locator
  • Allow users to use their map location for the store locator
  • Store locator search by category
  • Hide all map markers until a store locator search is done
  • Move your marker list inside the map window
  • Multiple map widget functionality
  • Add retina-ready map marker icons
  • WordPress Network friendly
  • Get the WP Google Maps Professional Edition for only $39.99

Translations

Get a free copy of the WP Google Maps Pro version in exchange for translating our plugin!

  • English - default
  • Russian (Alexandra Bondareva)
  • German
  • French (Arnaud Thomas)
  • Polish (Michal Kotnowski)
  • Finnish (Johanna Joutti)
  • Dutch (Jan Wind)
  • Hebrew (Gal Dotan)
  • Danish (Patrick Jepsen)
  • Italian (Tommaso Mori & Massimo Bregani)
  • Croatian (Sven Kopun)
  • Greek (Konstantinos Koukoulakis)
  • Romanian (Cosmin Stroe)
  • Spanish (Carmelo Villegas Cruz)
  • Portuguese (Jose Antonio Ribeiro)
  • Brazilian Portuguese (Roberto Costa)
  • Turkish (Suha Karalar)
  • Swedish (Martin Sleipner)
  • Bulgarian (Lyubomir Kolev)
  • Indonesian (Neno)
  • Lithuanian
  • Czechoslovakian^

^Language file needs to be updated

Demos

WP Google Maps Lite

  • Basic Google Map with Markers
  • Store Locator
  • Polygons & Polyines/Routes
  • Google Maps Transit Layer
  • Google Maps Traffic Layer
  • Google Maps Bicycle Layer

WP Google Maps Pro

  • Google map with advanced markers
  • Marker listings - Simple
  • Marker listings - Advanced
  • Google Maps Directions
  • Responsive Map
  • Marker Categories (Filtering)
  • Advanced Store Locator
  • WP Google Maps Editor (Back-end Screenshots)
  • Visitor Generated Markers - (WP Google Maps VGM Add-on)
  • Custom Map Styling (WP Google Maps Gold Add-on)

Documentation

  • Installing WP Google Maps
  • Creating your first map
  • Google Maps mashup (Pro)
  • Exporting and importing map markers (Pro)
  • Changing the Google Maps language
  • Create a google map and marker using custom fields (Pro)
  • View all documentation

Troubleshooting

  • My Google Map is not showing on my website
  • My markers are not showing
  • View all troubleshooting articles

Releases (252 )

Version Release Date Change Log
8.0.5 2019-10-22

:- 2019-10-17 :- Medium priority = * Fixed additional "undefined" infowindow appearing when using XML cache * Fixed XML cache not regenerated when POSTing to marker endpoint

8.0.4 2019-10-17

:- 2019-10-15 :- Medium priority = * Added REST endpoints for counting and removing duplicate markers * Safeguards added to switch back to DB pull if execution time limit or memory limit is reached during XML cache generation * Theme parser will now attempt to strip slashes before abandoning parsing

8.0.3 2019-10-15

:- 2019-10-13 :- Medium priority = * Added workaround for Enfold theme issue with Safari preventing map from loading * Relaxed CRUD class to issue warning when ID is passed in with field data instead creating a new object * Fixed edit marker button not working on map edit page

8.0.2 2019-10-13

:- 2018-10-10 :- Medium priority = * Fixed file not found on settings page when using OpenLayers engine * Fixed translation strings not being applied * Fixed dragging a marker also pans map when using OpenLayers

8.0.1 2019-10-10

:- 2019-10-08 = * Fixed Warning: unserialize() expects parameter 1 to be string, array given * Fixed restructured code preventing marker delete and approve buttons from working * Fixed markers not being removed from map panel following deletion

8.0.0 2019-10-08

= 7.11.19 = Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.11.53 2019-10-07

:- 2019-10-03 :- Low priority = * Fixed "All" missing from datatables page size dropdown * Fixed bundled translations only loaded on backend since 7.11.45 * Added polyfill for slice on Uint8Array, fixing issues with compressed path variables and IE * Added no-op JS to wpgmza_data.js * Added isFilterable property to Marker * Removed .gitattributes from production build

7.11.52 2019-10-03

:- 2019-09-24 :- Medium priority = * Added Astra theme compatibilty module, fixes InfoWindows not opening with Astra theme * Added fallback for older versions of WordPress where wp_doing_ajax is not present, fixes fatal error on WordPress < 4.7

7.11.51 2019-09-24

:- 2019-09-19 :- Medium Priority = * Fixed Modern Store Locator Radius causing Safari (mobile) to reload page

7.11.50 2019-09-19

:- 2019-09-13 :- Medium priority = * Fixed markers not visible in Internet Explorer when using OpenLayers (append is not a method)

7.11.49 2019-09-13

:- 2019-09-10 :- Medium priority = * Added warning when "Do not enqueue datatables" is selected, but dataTables library is not loaded * Added comment to wpgmza_data.js to fix issues with empty files and Safari * Altered "zero-results" message to "No results found for this address" * Fixed skipNonceCheck flag being ignored when Live Tracking App is used

7.11.48 2019-09-10

:- 2019-08-28 :- Low priority = * Fixed polygons and polylines not displaying back end before global settings have been saved * Increased link column to accept 2083 characters

7.11.47 2019-08-28

:- 2019-08-09 :- Medium priority = * Fixed map engine dialog submission not working * Fixed WPGMZA.EventDispatcher not handing some native events over to DOM correctly

7.11.46 2019-08-09

:- 2019-08-08 :- Medium priority = * Fixed conflict with WooCommerce effecting checkout page on installations with debug notices turned on * Fixed WPGMZA.getQueryParamValue matching location hash on last parameter

7.11.45 2019-08-08

:- 2019-08-07 :- Medium priority = * Added ABSPATH checks to .html.php files, class.settings.php and backwards_compat_v6.php * Fixed add shape buttons disabled for Google when global settings have never been saved * Fixed permissions issues when attempting to save global settings (HTTP error 401) * Fixed permissions issues preventing users without manage_options capability from logging in

7.11.44 2019-08-07

:- 2019-08-01 :- Low priority = * Added REST API parameter skipNonceCheck for Live Tracking App * Fixed map type settings not "live" in map edit page * Fixed map type setting not reflected when map edit page initialises

7.11.43 2019-08-01

:- 2019-07-31 :- Low priority = * RestAPI now exposes registerRoute as a public function for add-ons to register REST API routes * New action wpgmza_register_rest_api_routes added

7.11.42 2019-07-31

:- 2019-07-30 :- Medium priority = * Added checks for ABSPATH to all PHP modules * Added a console warning when Array prototype has been improperly extended, which breaks for ... in loops * Improved parameter sanitization * Dropped deprecated usage tracking function * Dropped unused GoogleGeocoder class * Dropped old admin head function, added update notice for users running Pro < 5.24 * Fixed AJAX REST API POST calls always failing nonce security check

7.11.41 2019-07-30

:- 2019-07-29 :- Medium priority = * Fixed store locator not working in OpenLayers since 7.11.40 due to missing nonce

7.11.40 2019-07-29

:- 2019-07-29 :- Medium priority = * REST API security enhanced with additional per-route nonces * getScrollAnimationOffset now accounts for WP admin bar height * removeMarker now closes marker InfoWindow before removing it * Fixed notice on map edit page on setups with E_NOTICE error display * Fixed markers not removed from map panel following bulk delete * Fixed GoogleHTMLOverlay is not a constructor when WPGMZA.settings.engine is null

7.11.39 2019-07-29

:- 2019-07-25 :- Medium priority = * Added code to update OpenLayers marker position following icon loading * Fixed marker being off-position before user interaction on certain setups * Fixed dataTables translations not working * Fixed fatal error on map pages when GDPR notice filter returns an empty string * Fixed category icon not respected in map panel when running Pro <

7.11.38 2019-07-25

:- 2019-07-22 :- Low priority = * Removed advisory REST AJAX notice due to false positives

7.11.37 2019-07-22

:- 2019-07-16 :- Low priority = * Fixed polyline color control not "live" on polygon edit page

7.11.36 2019-07-16

= 7.11.19 = Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.11.33 2019-07-07

:- 2019-07-02 :- Low priority = * Added admin-ajax fallback for when REST API is blocked * Fixed characters such as accents showing as plain text HTML entities in DOMElement * Fixed object must implement countable notice on QueryFragment * Regenerated temporary API key * Removed unreachable code

7.11.32 2019-07-02
  • Added mechanism to report 403 Forbidden on REST API, this is usually caused by security plugins blocking REST requests for non-logged in users
7.11.31 2019-06-21

:- 2019-06-18 :- Low priority = * Added checkbox to disable Autoptimize workaround for setups where the workaround prevents CSS aggregation * DataTable module now uses RestAPI module to make AJAX requests * Fixed "Permalink Manager Lite" breaking admin marker table when POST requests are used

7.11.30 2019-06-18

:- 2019-06-12 :- Medium priority = * Added /decompress REST API endpoint for debugging compressed path variable requests * Added integration with WP REST Cache by Acato * Added Elias Fano encoding modules for efficient transmission of marker ID's on compressed path variable requests * REST API module now no longer loads the entire WP REST API client side library * Moved clearInterval on Google infowindow to before event is triggered, the event will no longer fire repeatedly if any attached listeners cause an error * Fixed bulk delete not working * Removed performance intensive regex checks on template_redirect. Short code flag is now set by short code callbacks * Fixed notice in legacy-core.php when no map ID present on shortcode * Fixed cannot use scalar value as array when localizing legacy current map ID global * Fixed issues with older versions of Pro add-on and admin marker table

7.11.29 2019-06-12

:- 2019-06-06 :- Low priority = * Added support for compressed path variables on REST API module (experimental)

7.11.28 2019-06-06

:- 2019-06-03 :- Medium priority = * Added nonce to settings form on admin post action * Fixed errors on PHP installations where documentElement is not a property on DOMDocument

7.11.27 2019-06-03

:- 2019-05-29 :- Medium priority = * Added keypress listener for enter on store locator for configurations which don't emit keydown * Changed (experimental) compressed REST datatables GET request to use a cachable path variable rather than query string * Fixed classes that subclass WPGMZA.AdvancedTableDataTable not having "Show X items" setting applied in Pro * Fixed missing spatial function prefixes in WPGMZA\MarkerFilter::applyRadiusClause, now works with MySQL 8.* * Fixed "no results found" not showing when new MarkerFilter returns zero results * DataTables AJAX route no longer issues notice when used without a HTTP_REFERER

7.11.26 2019-05-29

= 7.11.19 = Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.11.25 2019-05-22
  • 2019-05-21 :- Low priority =
  • Added CSS max width fix to override themes breaking OpenLayers markers
  • Added WPGMZA.Text and WPGMZA.GoogleText modules
  • Added experimental setting WPGMZA.settings.useCompressedDataTablesRequests
  • Developer mode and SCRIPT_DEBUG will now enqueue OpenLayers unminified
  • WPGMZA.LatLngBounds can now take an instance of WPGMZA.LatLngBounds in constructor arguments
  • Renamed deletePolygon, deletePolyline to removePolygon, removePolyline etc. on WPGMZA.Map
  • wpgmaps_check_shortcode no longer sets short_code_active to false
  • Fixed links not clickable in Pro InfoWindows
  • Fixed issue with WPGMZA.LatLngBounds around 180th meridian
  • Fixed various typos
  • Fixed error where _gdprCompliance on Plugin class would be empty for Gutenberg integration
7.11.24 2019-05-21

= 7.11.19 = Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.11.23 2019-05-20

= 7.11.19 = Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.11.22 2019-05-13

= 7.11.19 = Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.11.21 2019-05-08

:- 2019-04-16 :- Low priority = * Added serializeFormData to DOMDocument and DOMElement * Added new event for InfoWindows - domready.wpgmza * Added new function WPGMZA.extend for shorthand extension of modules * Added warning when WPGMZA.RestAPI.call is called (as opposed to WPGMZA.restAPI.call) * Implemented factory method for map settings page JS module * Changed RestAPI to not throw an error when a call is aborted * Changed DB version checks to use global version string (this module is currently not used) * Fixed missing comma in DB installation code preventing marker table from being created (this module is currently not used)

7.11.20 2019-04-16

:- 2019-04-09 :- Low priority = * Added Mexican Spanish (es_MX) translations * Added revert back to DB pull when XML folder not present * Updated PO files from sources * Fixed rectangles not working when using v6 of Pro

7.11.19 2019-04-09

Please update to 7.11.18 or above to ensure you are using the latest security enhancements.

7.11.18 2019-04-02

:- 2019-04-02 :- High priority = * Fixed potential REST API exploit (affects 7.11.00 - 7.11.17 - with thanks to Thomas Chauchefoin)

7.11.17 2019-04-02

:- 2019-04-02 :- Low priority = * Added shortcode attribute classname * Fixed Custom CSS classes in Gutenberg editor not being applied

7.11.16 2019-04-02

:- 2019-03-28 :- Low priority = * Added Catalan translation files * Added hide POI logic to WPGMZA.GoogleMap * Added new global setting WPGMZA.settings.hide_points_of_interest

7.11.15 2019-03-28

:- 2019-03-25 :- Medium priority = * Added caching warning to GDPR Compliance settings panel * Added check for wp.components in Gutenberg module * Renamed Croation translations to correct -hr.* suffix * Fixed incorrect logic causing unapproved markers to appear in Pro marker listings * Relaxed "combined file would be blank" from exception to an admin notice when in the WordPress environment

7.11.14 2019-03-25

:- 2019-03-14 :- Low priority = * Added convenience function WPGMZA.getQueryParamValue * Most PHP now uses isInDeveloperMode() rather than referencing the setting directly * Fixed setting developer mode cookie would set developer mode in database

7.11.13 2019-03-14

:- 2019-03-11 :- Low priority = * Fixed adding "select" function to Array prototype colliding with "select" event listener for markers * Fixed sorting direction not respected in AjaxTable following 7.11.11 changes

7.11.12 2019-03-11

:- 2019-03-08 :- Low priority = * Removed debugging code from class.query.php * Fixed mismatched setting name for Store Locator distance units causing "miles" to be ignored

7.11.11 2019-03-08

:- 2019-03-07 :- Low priority = * Allowed LatLngBounds to wrap around 180th meridian, Gold now clusters correctly on wide or zoomed out maps * Fixed wildcard not being used when no fields passed to Query * Fixed notices and inconsistencies with Elementor integration

7.11.10 2019-03-07

:- 2019-03-05 :- Low priority = * Changed Google Maps API error handler to render in a panel rather than in a modal dialog * Removed "In light of recent E GDPR regulation" admin notice * Fixed clicking listen item outside link has no effect on map edit page tabs

7.11.09 2019-03-05

:- 2019-02-28 :- Medium priority = * Added disableInfoWindow to map objects which is used by InfoWindow.prototype.open * Added LatLng.fromCurrentPosition * Added warning and explanation when Google Maps is selected but API loader is not allowed to load the API * Non-standard jQuery versions now issue console warning rather than cancelling map initialisation * Map element now fires infowindow close event * Fixed infowindow close event firing after infowindow element removed

7.11.08 2019-02-28

:- 2019-02-25 :- Medium priority = * Google Maps API error dialog is now shown when in developer mode * Fixed missing link on "No API Keys" message in Google Maps API error dialog * Fixed "undefined" InfoWindow opening * Removed 100px minimum width from InfoWindows

7.11.07 2019-02-25

:- 2019-02-22 :- Medium priority = * Added Distance class * Added property storeLocatorDistanceUnits to WPGMZA\Map * Fixed Spatial function prefix not applied for version 8 due to wrong operator * Fixed MarkerFilter radius clause ignoring store locator distance units setting * Removed console.log call in GoogleMarker setVisible

7.11.06 2019-02-22

:- 2019-02-20 :- Low priority = * WPGMZA.RestAPI.prototype.call now returns xhr * Improved modern store locator UX by switching reset button back to search button when text is inputted into address field * Fixed "disable double click zoom" logic flipped * Fixed undefined notice in AjaxTable breaking carousel marker listing in Pro when display_errors is true * Fixed bulk delete not working due to removed legacy function

7.11.05 2019-02-20

:- 2019-02-15 :- Medium priority = * Improved WP Migrate DB integration by adding our plugin to their whitelist when WP Migrate DB is activated * Re-added data-wpgmza-datatable-options attribute to datatables * Fixed encoding issues in marker listing caused by UTF-8 to HTML entities conversion not being used

7.11.04 2019-02-15

:- 2019-02-13 :- Medium priority = * Added extra functions to LatLngBounds to support upcoming Gold patch (extendByPixelMargin, contains) * Added Caltopo to tile servers * Added Latvian translation * Shortcode attributes are now passed to map element through data-shortcode-attributes * DataTables loads unminified in developer mode * DataTables no longer enqueued twice on map edit page * DataTables translation re-applied following new AJAX implementation * Changed wrong text domains in translation functions in tile-server-fieldset.html.php

7.11.03 2019-02-13

:- 2019-02-06 :- Low priority = * DataTables issue no longer present when running Developer Mode * Fixed "display all" breaking admin marker table * Fixed "Map Type" not being applied

7.11.02 2019-02-06

:- 2019-01-31 :- High priority = * Added override method to Settings module so settings are overridable without altering database * Fixed fatal error in legacy-core.php when running older versions of Pro without Custom Fields

7.11.01 2019-01-31

:- Medium priority = * Fixed undefined notice in AjaxTable when using Pro marker listings * Fixed legacy Google error message breaking Gutenberg editor when no key is present * Fixed legacy compatibility issue with Global Settings module

7.11.00 2019-01-30

:- 2019-01-30 :- Medium priority = * Added new GlobalSettings module * Optimized marker tables and listings giving significant performance boost when viewing marker listings, editing, adding and deleting markers * Nominatim Cache now records country restriction * Improved robusticity of data-settings attribute handling * Added WPGMZA.LatLng.prototype.toLatLngLiteral * Added check for jQuery slider in wpgmaps_tabs.js * Added check for WordPress REST API and notices where that is not present * Removed 5,000 marker live edit limit following performance optimizations * Deprecated redundant WPGMZA_SETTINGS option * Moved all code from main PHP file to legacy-core.php * Checks for namespace, DOMDocument and WP REST API added in main file, a warning is issued if these are missing rather than a fatal error * Fixed undefined index wpgmza_settings_marker_pull on new installations * Fixed country restriction broken in OpenLayers * Fixed interaction controls (disable pan, double click zoom and mousewheel) ignored in OpenLayers due to wrong scope * Fixed zoom limits not respected in OpenLayers * Fixed zoom limits incorrectly interpreted by Google * Fixed "minZoom cannot exceed maxZoom" breaking Google maps when settings are reversed * Fixed country restriction not respected by OpenLayers

7.10.58 2019-01-30

:- 2019-01-18 :- Low priority = * Added code to catch Geocoding Service errors in GoogleAPIErrorHandler * Fixed wrong database prefix in wpgmaps_return_markers when running on a multisite installation

7.10.57 2019-01-18

:- 2019-01-15 :- Low priority = * Engine selection dialog will no longer be displayed if a Google API key has been entered * Google Maps API warning will only be shown after Google Maps API has been explicitly selected * Percentage height warning is now more prominant * Fixed "Get the rest of these advanced features" using printf where it should be sprintf * Bumped "Tested up to" to 5.0.3 * Corrected year in 7.10.56 changelog

7.10.56 2019-01-15

:- 2018-01-09 :- Medium Priority = * Added function WPGMZA.Distance.between * Removed code to disable TLS verification in WPGMZA\GoogleGeocoder

7.10.55 2019-01-09

:- 2018-12-27 :- Medium priority = * Changed GoogleMap fitBounds to accept a WPGMZA.LatLngBounds * Changed OLMap fitBounds to accept a WPGMZA.LatLngBounds * Fixed WPGMZA.LatLngBounds setting individual coordinates to LatLngs * Fixed WPGMZA.GoogleMap.fitBounds not working with native LatLngBounds

7.10.54 2018-12-27

:- 2018-12-20 :- Medium priority * Fixed default OpenLayers tiles being fetched over relative URL

7.10.53 2018-12-20

:- 2018-12-17 :- Medium priority = * Added missing file /html/tile-server-fieldset.html.php

7.10.52 2018-12-17

:- 2018-12-14 :- Low priority = * Fixed undefined errors when running Elementor * Fixed "Cannot read property 'wpgmza_iw_type' of undefined" preventing infowindow opening * Fixed missing spatial prefix on Marker::update_latlng * Added class wpgmza-gdpr-compliance to GDPR compliance notice parent div * Dynamic content removed from translation strings, printf now used instead

7.10.51 2018-12-14

:- 2018-12-11 :- Low priority = * Added tile server URL setting for OpenLayers * Fixed Google vertex context menu preventing OpenLayers engine loading in developer mode * Fixed Gutenberg integration module always loading scripts on front end

7.10.50 2018-12-12

:- 2018-12-10 :- Low priority = * Added blank alt attribute to OpenLayers marker img element * Updated WP version supported to 5.0

7.10.49 2018-12-10

:- 2018-12-05 :- Low priority = * Improved Gutenberg integration (new buttons added)

7.10.48 2018-12-05

:- 2018-12-03 :- Low priority = * Added a check for wp.editor in Gutenberg JS module * Fixed InfoWindow not initialized before open called when using marker open by default setting * Fixed WPGMZA.OLMap returning zoom one level too far in (fixes map zooms in one level on save)

7.10.47 2018-12-03

:- 2018-11-22 :- Low priority = * Removed all redundant calls to getPlace * Places AutoCompletes now only request the "name" and "formatted_address" fields * Changed "Create an API key now" link

7.10.46 2018-11-22

:- 2018-11-20 :- Medium priority = * Fixed store locator circle and radius not displayed when no markers are present * Fixed browser compatibility code causing Gutenberg dependency failure * Google API version is now fixed at "Quarterly" (solves RetiredVersion notice) * Unified store locator circle and radius logic for both XML and DB marker pull * All PHP classes and methods now have documentation blocks * Server side documentation added in /docs/php * Client side documentation added in /docs/js

7.10.45 2018-11-20

:- 2018-11-12 :- Medium priority = * Fixed places autocomplete not initializing with modern store locator * Fixed conflict with Autoptimize with large amounts of data by bypassing CSS optimization where shortcode is present * Enter key now triggers search on modern store locator

7.10.44 2018-11-12

:- 2018-11-05 :- Medium priority = * Fixed Modern Store Locator Circle not working when Google Maps geometry library not loaded * Fixed legacy-map-edit-page.js not enqueued when Gold add-on activated (with Pro >

7.10.43 2018-11-07

:- 2018-10-31 :- High priority = * Improved previous security fix

7.10.42 2018-10-31

:- 2018-10-25 :- High priority = * Closed potential XSS vulnerability in PHP_SELF on map edit page

7.10.41 2018-10-25

:- 2018-10-24 :- Medium priority = * Changed exception to notice when v8 dependencies are missing (fixes issue with Pro < 7.10.37 in developer mode)

7.10.40 2018-10-24

:- 2018-10-17 :- Medium priority = * Added temporary fix for Gutenberg module dependencies preventing wpgmaps.js from loading when in Developer Mode * Fixed Infowindow not opening on touch device when using "hover" action

7.10.39 2018-10-17

:- 2018-10-15 :- High priority = * Fixed JS error when Gutenberg framework not loaded

7.10.36 2018-09-27

:- 2018-09-25 :- Medium Priority = * Fixed change in 7.10.35 causing problems with OLMarker click event, preventing infowindow opening * Dropped .gitignore which was causing deployment issues, now using .gitattributes to ignore minified files

7.10.35 2018-09-25

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.34 2018-09-20

:- 2018-09-17 :- Low priority = * Added descriptive error messages when Google API is required but not loaded * Added "I agree" translation to German files * Added getPluginScripts to Scriptloader module * jQuery 3.x document ready compatibility * Changed wpgmza_google_api_status to be passed via wp_localize_script to prevent redirection issues in some circumstances * Prevented UGM e-mail address being transmitted in WPGMZA_localized_data * Removed redundant locationSelect dropdown

7.10.33 2018-09-17

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.32 2018-09-05

:- 2018-08-31 :- Medium priority = * Fixed redundant setting wpgmza_gdpr_enabled causing "user consent not given" to be flagged erroneously

7.10.31 2018-08-31

:- 2018-08-30 :- Medium priority = * Fixed NaN zoom level causing Google Maps to hang

7.10.30 2018-08-30

:- 2018-08-29 :- Medium priority * Fixed "Access to undeclared static property" on some PHP versions * Fixed google-maps-api-error-dialog.html.php does not exist

7.10.29 2018-08-29

:- 2018-08-28 :- Medium priority = * Improved return_polygon_array function making edit polygon page more robust * Improved GoogleAPIErrorHandler, modal dialog with documentation links is now shown back end and front end for administrators * Implemented setOptions for generic marker module and WPGMZA.GoogleMarker module * Added load_textdomain_mofile to fix translation issues * Added event storelocatorgeocodecomplete (native) and storelocatorgeocodecomplete.wpgmza * Added event storelocatorresult (native) and storelocatorresult.wpgmza * Fixed map controls not applied without toggling developer mode * Fixed white border around new Google logo * Fixed Google API handling change blocking infowindow creation * Fixed some global settings not respected (zoom controls, etc.) * Fixed can't change wpgmza_maps_engine in WPGMZA_OTHER_SETTINGS when engine is set * Removed suffixed .wpgmza events being explicitly dispatched, WPGMZA.EventDispatcher now dispatches these automatically

7.10.28 2018-08-29

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.27 2018-08-20

:- 2018-08-17 :- Low priority = * Added wpgmza_xml_cache_generated filter * Added wpgmza_xml_cache_saved action * Improved return_polyline_array function making edit polyline page more robust * Fixed Google API loading before consent given when "Require consent before load" checked

7.10.26 2018-08-17

:- 2018-08-15 :- Low priority = * Improved Google API error handling back end, module issues more comprehensive alerts * GoogleAPIErrorHandler moved to /js/v8/google-api-error-handler.js * Added CSS fix for recent Google UI changes (Buttons in triplicate)

7.10.25 2018-08-15

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.23 2018-07-31

:- 2018-07-23 :- Medium priority = * Fixed REST API endpoint URL incorrect for installations in subfolders * Added PHP version requirement 5.3 to readme.txt

7.10.22 2018-07-23

:- 2018-07-18 :- Medium priority = * Added filter wpgmza_localized_strings * Added beginnings for REST API * Added scroll animation when edit marker is clicked * Fixed UTF-8 characters not being decoded into PHPs native charset before passing them to loadHTML in GDPR compliance module * Fixed edit marker button not re-enabled following unsuccessful geocode

7.10.21 2018-07-18

:- 2018-07-09 :- Medium priority = * Added MySQL version check and dropped ST_ function prefixes for versions < 8.0 * Fixed markers not appearing front end and back end marker table empty for servers running old MySQL versions

7.10.20 2018-07-09

:- 2018-07-05 :- Low priority = * Added hook for new GDPR tab content * Added JavaScript for VGM GDPR controls * Fixed WPGMZA\DOMDocument::saveInnerBody not saving text nodes

7.10.19 2018-07-05
  • 2018-07-05 :- Medium Priority =
  • Added new event "userlocationfound" dispatched from WPGMZA.events
  • Added fall back to convert UTF-8 to HTML entities on installations without multibyte functions available
  • Changed GDPR settings UI, removed redundant compliance setting, added default notice
  • Fixed media="1" attribute not validating
  • Fixed nominatim geocoder not giving expected response to callback
  • Fixed ScriptLoader module always enqueuing FontAwesome 4.*
  • Fixed debug code breaking WP Migrate DB integration
  • Fixed custom fields blank in marker listing
  • Replaced deprecated MySQL functions with ST_ functions
  • Replaced deprecated jQuery(window).load functions
  • Removed Google autocomplete when using OpenLayers
  • Removed protocol from marker icons / fixed marker icons disappear after switching to https://
7.10.18 2018-07-05
  • 2018-07-02 :- Medium Priority =
  • Fixed GDPR back end warning appearing when GDPR compliance is enabled
7.10.17 2018-07-02
  • 2018-06-29 :- Medium Priority =
  • Fixed country restriction broken in store locator
  • Added dismissable admin GDPR warning when GDPR compliance has been switched off
  • Fixed GDPR settings blank by default on some installations
7.10.16 2018-06-29

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.15 2018-06-21
  • 2018-06-14 :- Medium priority =
  • Fixed GDPR consent notice bypassed when "prevent other plugins and theme enqueueing maps API" is not set
7.10.14 2018-06-14

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.13 2018-06-14

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.12 2018-06-13
  • 2018-06-12 :- Low priority =
  • Handed FontAwesome loading over to ScriptLoader module
  • Deprecated global function wpgmza_enqueue_fontawesome
  • Fixed circles and rectangles only working on map ID 1
7.10.11 2018-06-12

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.10 2018-06-08

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.09 2018-06-01

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.08 2018-06-01

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.07 2018-05-31

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.06 2018-05-31
  • 2018-05-31 :- Medium Priority =
  • Added "require consent before API load" to GDPR settings
7.10.05 2018-05-31
  • 2018-05-30 :- Low Priority =
  • Fixed Using $this when not in object context when using older PHP version
  • Fixed google sometimes not defined when selected engine is OpenLayers
7.10.04 2018-05-30

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.03 2018-05-30

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.02 2018-05-30

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

7.10.00 2018-05-29
  • 2018-05-25 =
  • Added new Javascript modules
  • Added new PHP modules
  • Class AutoLoading implemented
  • OpenLayers / OpenStreetMap integration
  • Fixed Edit Marker Position not working with Pro 6.*
  • Fixed some strings not being translated in German
  • JS Minification
  • Added "Developer mode"
7.0.06 2018-05-29

= 6.3.15 = Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

= 6.3.14 = Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

6.4.11 2018-04-04
  • 2018-03-19 - Low priority =
  • Added a missing marker PNG file
6.4.10 2018-04-04

Please update your WP Google Maps version to 6.4.10 to ensure you are using the latest security enhancements.

6.4.09 2018-03-12
  • 2018-01-15 - Medium priority =
  • Removed the plugin deactivation survey as there are PHP compatibility issues. Will have to retest and add this back at a later stage.
6.4.08 2018-01-15
  • 2018-01-14 - Medium priority =
  • Update Google Maps API versions to include 3.30 and 3.31
  • On first installation, users are now taken to the welcome page
  • Updated contributors
  • Updated credits page
  • Fixed broken support links
  • Got things ready for the new Version 7 that is on its way
6.4.07 2018-01-14
  • 2018-01-08 - Low priority =
  • Added a deactivation survey to gain insight before moving to Version 7
  • Tested on WP 4.9.1
6.4.06 2018-01-08
  • 2017-09-07 - Medium Priority =
  • Bug Fix: Zoom level is not respected when saving
6.4.05 2017-09-07
  • 2017-06-13 - Medium priority =
  • Fixed the bug that caused JS errors to show up in the map editor
  • Fixed a bug that caused the XML File option (for markers) to cause issues when trying to add a marker in the backend
  • Allowed users to hide the subscribe feature in the plugins page
  • New feature: Bulk delete markers
  • Autocomplete now works when adding markers
  • Autocomplete now works for the store locator on the front end
  • Fixed a bug that caused the map to not load in the map editor for new installations
6.4.04 2017-06-13
  • 2017-06-08 - Low priority =
  • Tested on WordPress 4.8
6.4.03 2017-06-09
  • 2017-02-17 - Low priority =
  • Added the ability for affiliates to make use of their affiliate IDs in the pro links
  • Added better SSL support
  • Added shortcode support for XML marker files
6.4.02 2017-02-17
  • 2017-01-20 - Low priority =
  • Removed an echo that was incorrectly placed
6.4.01 2017-02-17
  • 2017-01-20 - Low priority =
  • Added the ability for users to subscribe to our mailing list
6.4.00 2017-01-20
  • 2017-01-11 - Medium priority =
  • Added an option to set default store locator address
  • Full screen map functionality added
  • Fixed a bug that caused custom css to be incorrectly escaped
  • Fixed the bug that caused the "save marker" button to not revert when an address couldnt be geocoded
  • Added caching notices to notify users to clear their cache when a marker is added or edited or when map settings were changed
  • Estonian translation added
  • Fixed the incorrect locale setting with the Google Maps API
  • Fixed a bug that caused the admin style sheet to load on all admin pages
  • Added the ability to change the gesture input
  • Fixed a bug that caused PHP warnings when a polygon or polyline had no polydata
  • Fixed a bug that caused non-utf8 characters within an address to cause the insertion of the marker to fail
  • Documented all PHP functions
6.3.20 2017-01-11
  • 2016-09-27 =
  • Fixed a big that prevented the map from loading in a widget
  • Refactored code used to load the Google Maps API and Script files
6.3.19 2016-09-27
  • 2016-09-22 =
  • Fixed a bug that caused some maps to not load markers on page load
6.3.18 2016-09-22
  • 2016-09-15 =
  • Chinese support - when your language is set to Chinese (ZN_cn), the map will now load from maps.google.cn
  • Hebrew language code fixed when accessing the Google Maps API in Hebrew
  • Added support for the KML layer to be visible when adding/editing polygons or polylines
  • Fixed a bug with the store locator not using miles when selected
  • Moved up to versions 3.25 and 3.26 of the Google Maps JavaScript API
  • Datatables updated
  • When a marker is deleted, the view does not reset
  • User javascript has been ported over to a JavaScript file
  • A minimifed and unminified version of the user-side JS file is now included - The minifed version is used by default
  • You can now set the google map zoom level via the shortcode. Example: [wpgmza id='1' zoom=8]
  • Fixed a PHP warning on the error log page
6.3.17 2016-09-15
  • 2016-08-07 - Medium priority =
  • Added a temporary Google Maps JavaScript API key for users so that the UX is not negatively affected on the user's first attempt at using the plugin.
  • Added a check to the front end to only display the map if there is an Google Maps JavaScript API key saved
  • Fixed bugs that caused PHP warnings within the store locator
  • UX improvements to the welcome page
  • Fixed a bug that caused a JS error as a result of the previous versions new tab support
6.3.16 2016-08-07
  • 2016-08-02 - Low priority =
  • API key is now used on the edit polyline page
  • Removed the resizing script that caused the map to flicker on mobile devices
  • Added additional tab support (tri-tabs-nav span)
  • Fixed a bug in the store locator country restriction list
6.3.15 2016-08-02

Please update your WP Google Maps version to 6.3.15 to ensure you are using the latest security enhancements.

6.3.14 2016-08-02

Please update your WP Google Maps version to 6.3.14 to ensure you are using the latest security enhancements.

6.3.13 2016-07-18
  • 2016-07-07 - Medium priority =
  • Revised Maps API Dequeue Script Added
  • Remove Style dequeue script as this was causing UI conflicts
  • Added option to disable Maps API from being loaded on front end
6.3.12 2016-07-07
  • 2016-06-27 - Medium priority =
  • Modified the API key notification to make it simpler and more intuitive
6.3.11 2016-06-27
  • 2016-06-24 - Medium Priority =
  • Small activation bug fixed
  • all polygons and polylines are now viewable when editing or creating a new polygon or polyline
  • Notifications of Google Maps API key requirements
6.3.10 2016-06-24
  • 2016-05-03 - Low priority =
  • Added event listeners for both jQuery and accordions so that the map can init correctly when placed in a tab or accordion
  • Added checks to stop themes and plugins from loading the Google Maps API over and above our call to the API on pages that contain the map shortcode
  • Fixed an SSL issue with the marker URL (Thank you David Clough)
  • Fixed a bug that caused the CSS file to be loaded on all front end pages
  • Added SSL support to the jQuery CDN file
6.3.09 2016-05-03
  • 2016-04-15 - High priority =
  • Deprecated google maps api 3.14 and 3.15, added 3.23 and 3.24
6.3.08 2016-04-15
  • 2016-04-14 - Medium Priority =
  • Provides a workaround for users experiencing issues with their maps loading after updating to WordPress 4.5
6.3.07 2016-04-14

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

6.3.06 2016-04-13
  • 2016-04-04 - Low priority =
  • Indonesian Translation added - Thank you Neno
  • Swedish Translation added - Thank you Martin Sleipner
  • Bulgarian Translation added - Thank you Lyubomir Kolev
  • Google Maps API sensor removed from API call
6.3.05 2016-04-04
  • 2016-01-14 - Low priority =
  • Multiple tab compatibility added
6.3.04 2016-01-14
  • 2016-01-04 - Low priority =
  • Tested with WP 4.4
6.3.03 2016-01-04
  • 2015-11-19 - Medium Priority =
  • Fixed a bug that caused the map to not display when a theme was not selected
6.3.02 2015-11-19
  • 2015-11-06 - Low priority =
  • A new theme directory has been created - this allows you to use any map theme or style that you want simply by copying and pasting it's data
6.3.01 2015-11-06
  • 2015-10-06 - Low priority =
  • Added 3 new google maps custom themes
  • Corrected internationalization
  • iPhone map marker styling fix
  • Fixed an autocomplete bug
  • All WP Google Maps language files have been updated
6.3.00 2015-10-06

= 6.2.1 = Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

= 6.1.10 = Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

= 6.1.5 = We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

6.2.3 2015-10-06
  • 2015-08-20 - High priority =
  • Included the latest version of datatables to fix the bug experienced with the new jQuery being included in WordPress 4.3
  • Updated datatables.responsive to 1.0.7 and included the minified version of the file instead
  • Fixed a few styling bugs in the map editor
  • WP Google Maps tested with WordPress 4.3
6.2.2 2015-08-20
  • Security Update - 2015-07-27 - High Priority =
  • Security patch
  • Tested with WP 4.2.3
6.2.1 2015-07-27

Please update your WP Google Maps version to 6.2.1 to ensure you are using the latest security enhancements.

6.2.0 2015-07-13
  • Liberty Update - 2015-06-24 - Medium Priority =
  • Security enhancements (map editor, marker location, map settings)
  • Weather has been removed (deprecated by Google Maps)
  • Major bug fix (Google Map places bug) - caused the map markers not to show if the map store locator was not enabled
  • Fixed a bug that caused the jQuery error message to display br
6.1.10 2015-06-24

Please update WP Google Maps to version 6.1.10 to enable our latest security enhancements.

6.1.9 2015-06-10
  • 2015-06-01 - Low priority =
  • French translation bug fixed
6.1.8 2015-06-01
  • 2015-05-27 - Low priority =
  • Greek translation added - Thank you Konstantinos Koukoulakis
  • Added the Google Maps autocomplete functionality to the "add marker" section of the map editor
  • Added the Google Maps autocomplete functionality to the Store Locator
6.1.7 2015-05-27
  • 2015-04-22 - Low priority =
  • json_encode (extra parameter) issue fixed for hosts using PHP version < 5.3
  • Plugin tested on 4.2RC3
6.1.6 2015-04-22
  • 2015-04-17 - Low priority =
  • Rocketscript fix
  • Dutch translation added
  • Main translation file updated
6.1.5 2015-04-17

We no longer support timthumb and we have opted to remove it from WP Google Maps. Please update to 6.1.5 to ensure the removal of the timthumb script.

6.1.4 2015-03-17

2015-02-13 Medium priority = * Safari bug fix * Fixed issues with map markers containing addresses with single quotes * You can now set the max zoom of your google map * Translation file updated

6.1.3 2015-02-13

2015-01-29 Medium priority = * IIS server error fix * Small map bug fixes * Brazilian portuguese language file updated * Activation error fixes

6.1.2 2015-01-29

2015-01-19 Low priority = * Code improvements (PHP warnings) * New languages added * Tested in WordPress 4.1

6.1.1 2015-01-19

2014-12-19 Low priority = * Translation file updates * Code improvements

6.1.0 2015-01-19

2014-12-17 Medium priority = * Added an alternative method to pull the marker data

6.0.31 2014-12-17

2014-11-28 Low priority = * Fixed a category bug

6.0.30 2014-11-28

2014-11-26 = * Added a check for the DOMDocument class when creating the map marker data files * Removed the APC Object Cache warning * Added new strings to the PO file

6.0.29 2014-11-26

= 6.0.27 = Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

6.0.28 2014-11-04

2014-10-22 = * Enfold / Avia theme conflict resolved (Google Maps API loading twice) * Better marker file/directory control * Italian translation added (Tommaso Mori)

6.0.27 2014-10-22

Please upgrade your version of WP Google Maps to version 6.0.27 as it includes multiple security improvements.

=

6.0.26 2014-09-29

2014-08-22 = * Attempting to fix the "is_dir" and "open_basedir restriction" errors some users are experiencing. * Updated timthumb to version 2.8.14

6.0.24 2014-08-22

2014-07-31 = * Added extra support for folder management and error reporting * Code improvements (PHP Warnings) * Better polygon and polyline handling * Hebrew translation added - thank you Gal Dotan

6.0.25 2014-08-22

2014-08-13 = * Removed the use of "is_dir" which caused fatal errors on some hosts

6.0.23 2014-08-22

2014-07-30 = * Added extra support for corrupt polyline and polygon data - Low priority update

6.0.22 2014-07-30

2014-07-25 = * Fixed incorrect warning about permissions when permissions where "2755" etc. * Add classes to the Google map store locator elements

6.0.21 2014-07-25
  • Backend UI improvement
  • You can now right click to add a marker to the map
  • New map markers can be dragged
  • Polygons and polylines now have labels
  • Small bug fixes
6.0.20 2014-07-22
  • You can now alter the query string for the store locator
6.0.19 2014-07-22
  • Fixed a bug that caused the marker file to be recreated on every page load in some instances.
  • Fixed a marker listing display bug (iPhone)
  • Now showing default settings for marker path and URL
  • Removed the "Google map could not load" error
  • Fixed a bug that when threw off GPS co-ordinates when adding a lat,lng as an address
6.0.18 2014-07-11
  • You can now select which roles can access the map editor
6.0.17 2014-06-01
  • Minor update: PO files updated
6.0.16 2014-05-31
  • You can now choose which folder your markers are saved in
  • Better error reporting for file permission issues
6.0.15 2014-05-30
  • Small bug fixes
  • Map marker location bug fix
  • Russian translation added by Borisa Djuraskovic
6.0.14 2014-05-29
  • Code improvements
  • Added option for selecting Celsius or Fahrenheit with the Google Maps weather layer
6.0.13 2014-05-19
  • Fixed PHP warnings and the plugin is now PHP 5.5 compatible
6.0.12 2014-05-14
  • Fixed a google map marker XML file location bug
6.0.11 2014-05-08
  • Small bug fix on the WP Google Maps welcome page
6.0.10 2014-04-17
  • Tested on WP 3.9
  • Fixed a bug that only displayed two map marker categories for the store locator (pro)
  • Added the option to select which Google Map API version you would like to use. There were issues when using Google Map API v3.15 (lines were created on the map for no reason. The default is now Google Map API V3.14)
6.0.9 2014-04-17
  • Maps now automatically work in Tabs without having to add any code
  • Added a "zoom level" slider to the Google map settings
  • Added a check for GoDaddy Wordpress hosting and the APC object cache due to the issues that arise while using it
  • Fixed a polyline bug
  • Added "stroke opacity" options to polygons
  • Added a warning when users want to use % for the map height
6.0.8 2014-04-09
  • Fixed a Mac Firefox style issue with the WP Google Maps Store Locator
  • Fixed a function error in the polyline functions file
6.0.7 2014-04-04
  • Upgrading of plugin is now handled correctly
6.0.6 2014-03-28
  • Multisite bug fixes
  • XML marker file bug fixes (thank you Endymion00)
6.0.5 2014-03-28
  • Markers are now stored in the uploads folder
  • Small bug fixes
6.0.4 2014-03-26
  • Performance update
6.0.3 2014-03-25
  • Small bug fix
6.0.2 2014-03-25
  • Style bug fix
6.0.0 2014-03-24
  • Fixed a map width bug with the datatables layout. Now falls in line with the map width.
  • Added more options to the map settings page
  • Fixed a bug that forced a new geocode on every marker edit, even if the address wasnt changed
  • Updated TimThumb from 2.8.11 to 2.8.13
  • You can now choose for your map InfoWindows to open from mouse click or hover
  • Better error handling when the map cannot show due to conflicts or JS errors
  • Fixed the bug that caused high memory usage
  • Major bug fixes
5.25 2014-03-24

= 5.05 = This is a must for users on IIS. Older WP Google Maps versions will not be compatible.

= 4.14 = We have updated our Timthumb.php file to the latest version (2.8.5 to 2.8.10) in compliance with new WordPress regulations.

= 4.5 = Previous versions may cause your blog to slow down. Upgrading to 4.5 will get rid of this bug and increase your page load speed.

5.24 2014-02-18
  • Bug fix - The map style changed the style of your theme.
5.23 2014-02-17
  • Add animations to your map markers (lite)
  • Choose to have the infowindow open by default (lite)
  • Add the bicycle and traffic layer to your map (lite)
  • Substantial coding improvements and bug fixes
5.22 2014-02-17
  • Tested the plugin on WordPress 3.8
  • Pro fix: HTML can now be added and edited to markers without any problems.
5.21 2013-12-12
  • Fixed a bug that if clicking the "add maker" button produced an error, the "add marker" button would disappear.
5.20 2013-11-11
  • Categories can now be hidden from the marker list
  • German translation added thanks to Matteo Ender
5.19 2013-10-23
  • Fixed a styling bug with Firefox
  • Fixed the bug that caused all markers to be lost upon upgrading the plugin
5.18 2013-09-16
  • Added improved styling to the address in the map infowindow
5.17 2013-09-09
  • Fixed update bug
5.16 2013-09-08

= 5.05 = This is a must for users on IIS. Older WP Google Maps versions will not be compatible.

= 4.14 = We have updated our Timthumb.php file to the latest version (2.8.5 to 2.8.10) in compliance with new WordPress regulations.

= 4.5 = Previous versions may cause your blog to slow down. Upgrading to 4.5 will get rid of this bug and increase your page load speed.

5.15 2013-09-08
  • Added marker category functionality
  • Added Google Map Mashup functionality
  • Fixed small bugs
  • Added backwards compatibility for older versions of WordPress
  • Replaced deprecated WordPress function calls
  • Added Spanish translation - Thank you Fernando!
5.14 2013-07-17
  • The map plugin now uses the new media manager
  • Fixed some styling conflicts
  • Added missing strings to localization
  • Updated to the latest Timthumb version
5.13 2013-06-03
  • Fixed a small bug
5.12 2013-06-03
  • Removed deprecated code
5.11 2013-04-19
  • Added SSL bug fixes
  • Fixed a bug that wasnt allowing users to edit the exact location
5.10 2013-04-19
  • Small bug fix
5.09 2013-04-12
  • Map markers can now be sorted by id,title,description or address
  • Add Polylines to your map with the Pro version
  • Add Polygons to your map with the Pro version
  • You can now show your visitors location on the map
  • Added better support for jQuery versions
  • Added user role support for the Visitor Generated Markers add-on
  • Plugin now works out-the-box with jQuery tabs
  • Fixed a bug that stopped the advanced marker listing from working
  • Fixed small bugs causing PHP warnings
  • Cleaned up the admin section
5.08 2013-04-12
  • Fixed another jQuery loading bug. The plugin now comes with Jquery loaded in it's own folder to avoid CDN issues.
5.07 2013-03-11
  • Fixed a wp-admin jQuery bug
5.06 2013-03-06
  • Updated the plugin to force the latest jQuery to be loaded.
5.05 2013-03-05

This is a must for users on IIS. Older WP Google Maps versions will not be compatible.

5.04 2013-02-23
  • Fixed multiple bugs (big thanks to Alexander Gieg)
  • Fixed a firefox styling bug when using percentage width/height and set map alignment to 'none'
  • Added support for disabling mouse zooming and dragging
  • Added support for jQuery1.9+
5.03 2013-02-06
  • The google map now auto centres onto the address of the marker you have added
  • Fixed some bugs
5.02 2013-02-06
1.1.2 2012-10-03
  • Cleaned up messy code & ensured the javascript only gets called on the correct pages
1.1.3 2012-10-03
  • Fixed a bug that never created a new marker file after updating
2.0 2012-10-03
  • Merged basic and pro files in order to make the purchase installation less complicated.
  • Fixed a bug where on some hosts you are not able to use SimpleXML. The plugin now uses cURL to get around this.
  • Increased security measures
2.1 2012-10-03
  • Created a side menu link instead of having the menu link under "Settings"
2.2 2012-10-03
  • Added a "permission" check to see if the plugin will be able to work and return a warning message instead of leaving users in the dark as to why the plugin might not work on some hosts. The plugin's directory needs permission settings on 755 in order to work. The warnin message displays this note, along with a link on how you could fix it.
3.0 2012-10-03
  • You are now able to edit your markers.
  • Improved error handling and usability.
  • Killed some bugs.
  • The professional edition of the plugin now supports the Google Maps Directions functionality.
1.1.1 2012-10-03
  • Removed the php file that may have caused security issues.
5.01 2012-09-23
  • Added the functionality to list your markers below the map
  • Added more advanced directions functionality
  • Fixed small bugs
  • Fixed a bug that caused a fatal error when trying to activate the plugin on some hosts.
5.0 2012-07-15
  • Plugin now supports multiple maps on one page
  • Bicycle directions now added
  • Walking directions now added
  • "Avoid tolls" now added to the directions functionality
  • "Avoid highways" now added to directions functionality
  • New setting: open links in a new window
  • Added functionality to reset the default marker image if required.
4.22 2012-06-10
  • Added bicycle layer
  • Added traffic layer
  • Fixed the bug that was not allowing users to overwrite existing data when uploading a CSV file
4.21 2012-06-05
  • Fixed FireFox directions box styling error
  • Fixed small bugs
4.20 2012-05-11
  • Fixed small bugs
4.19 2012-05-03
  • Fixed small bugs
4.18 2012-04-30
  • Fixed an IE9 bug
4.17 2012-04-29
  • Added support for KML/GeoRSS layers
  • Fixed the directions box styling error in Firefox
  • Fixed a bug whereby the latest basic version was clashing with Pro version 3.2 and below.
  • The plugin now automatically saves your last map settings as its default settings for all new maps.
  • Added additional settings
4.16 2012-04-29
  • Pro: Fixed a bug that caused the map to stop loading its markers if you had the latest basic version and Pro version 3.2 and below.
4.15 2012-04-16
  • All: Added RUSSIAN support! Thank you Sergey!
  • All: Markers now automatically close when you click on another marker.
  • Pro Addon: More information can now be stored in the description field.
  • Pro Addon: The "To" field in the directions box now shows the address and not the GPS co-ords.
4.14 2012-04-15

We have updated our Timthumb.php file to the latest version (2.8.5 to 2.8.10) in compliance with new WordPress regulations.

3.2 2012-04-13
  • A number of UX changes were implemented.
  • Fixed the bug where the Pro edition kept getting overwritten everytime the basic version got updated.
  • The Pro edition now supports impoting CSV files
  • Fixed a bug that was causing the JS to display on all user pages instead of only where the shortcode was placed
3.3 2012-04-13
  • Fixed a bug that was causing a JS error in IE in some instances
  • Fixed a jQuery issue
  • Fixed a bug with the shortcode (if there are more than 2 shortcodes on the post/page)
3.4 2012-04-13
  • Fixed some compatibility bugs with Pro and Basic versions
4.0 2012-04-13
  • Added multiple maps functionality and everything that goes with it!
  • Added Map Alignment functionality (Left, Center, Right, None)
  • Added Map Type functionality (Roadmap, Terrain, Satellite, Hybrid)
  • Started using the Geocoding API Version 3 instead of Version 2 resulting in quicker address=>gps results.
  • Fixed bug that didnt import animation data for CSV files
  • Fixed a bug that defaulted the zoom functionality
4.1 2012-04-13
  • Killed some bugs!
4.10 2012-04-13
  • Bug fixes
4.11 2012-04-13
  • Bug fixes
4.12 2012-04-13
  • First draft of localization support added for the basic version
  • Small bug fixes
4.13 2012-04-13
  • Added support for localization
4.3 2012-04-13
  • Added functionality to let users drag their markers to an exact location
  • Fixed a CSS bug (marker styling)
  • Added functionality for Wordpress MU
4.4 2012-04-13
  • Security fix: The file Timthumb.php no longer allows external sites. Any image you associate to a marker must be on your WP server.
4.5 2012-04-13

Previous versions may cause your blog to slow down. Upgrading to 4.5 will get rid of this bug and increase your page load speed.

=

4.6 2012-04-13
  • Fixed small bugs
4.7 2012-04-13
  • Fixed small bug that was found when moving from 4.5 to 4.6
4.8 2012-04-13
  • Bug fix: output caused xxxx characters of unexpected output
4.9 2012-04-13
  • Added support for Cyrillic and other UTF-8 addresses, descriptions and titles
  • Fixed small bugs
3.1 2012-04-13
  • Added the ability for you to add a default marker and custom markers for each marker you add (Pro version)
  • Fixed a css bug where the markers do not display correctly on some WordPress themes.
  • Fixed a bug that loads the Google Maps API twice.
  • Fixed a number of other bugs
  • Improved the upgrading process (Code)